Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.directoryreader
Class DirectoryReader

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReader
          com.servingxml.components.directoryreader.DirectoryReader

All Implemented Interfaces:
  RecordReader

    public class DirectoryReader

extends AbstractRecordReader
implements RecordReader

A `DirectoryReader` implements a `RecordReader` interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`DirectoryReader(java.io.File directory, boolean recurse, long maxItems, java.io.FileFilter fileFilter)`

Method Summary
`void` | `readRecords(ServiceContext context, Flow flow)`
`protected void` | `readRecords(ServiceContext context, Flow flow, java.io.File directory)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordReader
`close, discardRecord, endRecordStream, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter, startRecordStream, writeRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter`

Constructor Detail

### DirectoryReader

    public DirectoryReader(java.io.File directory,
                           boolean recurse,
                           long maxItems,
                           java.io.FileFilter fileFilter)

Method Detail

### readRecords

    public void readRecords(ServiceContext context,
                            Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### readRecords

    protected void readRecords(ServiceContext context,
                               Flow flow,
                               java.io.File directory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD